#pragma once

#include "CUtil.h"

class Fractal
{
public:
	Fractal(void);
	~Fractal(void);
	static double fBm( float vertex[], double H, double lacunarity, double octaves );
	static double HybridMultiFractal( float vertex[], double H, double lacunarity, double octaves, double offset );
	static double RidgedMultiFractal( float vertex[], double H, double lacunarity, double octaves, double offset, double gain );

private:
	static double *exponent_array;
	static bool first;
};
